<?php

namespace Modules\Employee\Policies;

use App\Models\User;
use Illuminate\Auth\Access\HandlesAuthorization;
use Modules\Employee\Models\Employee;

class EmployeeSettingsPolicy
{
    use HandlesAuthorization;

    public function employeeSettingView(User $authUser): bool
    {
        return $authUser->can('employees.setting.view');
    }

    public function employeeSettingManage(User $authUser): bool
    {
        return $authUser->can('employees.setting.manage');
    }
}
